Debian Bug report logs - #311490
xterm: disable printing feature by default

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Vincent Lefevre <vincent@vinc17.org>

Date: Wed, 1 Jun 2005 10:18:02 UTC

Severity: wishlist

Tags: fixed-upstream

Found in version 4.3.0.dfsg.1-13

Fixed in version 208-1

Done: David Martínez Moreno <ender@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#311490; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: disable printing feature by default
Date: Wed, 1 Jun 2005 12:05:00 +0200
Package: xterm
Version: 4.3.0.dfsg.1-13
Severity: wishlist

I think that the printing feature should be disabled by default, as
most users probably don't need it, don't know it and this feature
may lead to security/privacy problems (see bugs 301989 and 311384
for instance). The solution is to set

  *printerCommand: ""

in the /etc/X11/app-defaults/XTerm file. The user may still override
that in his, e.g., .app-defaults/XTerm file, if need be.

Anyway with the default value of *printerCommand (lpr), garbage is
sent to the printer as it doesn't understand VT escape sequences,
therefore the default is not so good even if the user needs to print
via xterm.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11.10-20050517
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1 (charmap=ISO-8859-1)

Versions of packages xterm depends on:
ii  libc6                    2.3.2.ds1-22    GNU C Library: Shared libraries an
ii  libexpat1                1.95.8-3        XML parsing C library - runtime li
ii  libfontconfig1           2.3.2-1         generic font configuration library
ii  libfreetype6             2.1.7-2.4       FreeType 2 font engine, shared lib
ii  libice6                  4.3.0.dfsg.1-13 Inter-Client Exchange library
ii  libncurses5              5.4-4           Shared libraries for terminal hand
ii  libsm6                   4.3.0.dfsg.1-13 X Window System Session Management
ii  libxaw7                  4.3.0.dfsg.1-13 X Athena widget set library
ii  libxext6                 4.3.0.dfsg.1-13 X Window System miscellaneous exte
ii  libxft2                  2.1.7-1         FreeType-based font drawing librar
ii  libxmu6                  4.3.0.dfsg.1-13 X Window System miscellaneous util
ii  libxpm4                  4.3.0.dfsg.1-13 X pixmap library
ii  libxrender1              1:0.8.3-1       X Rendering Extension client libra
ii  libxt6                   4.3.0.dfsg.1-13 X Toolkit Intrinsics
ii  xfree86-common           4.3.0.dfsg.1-13 X Window System (XFree86) infrastr
ii  xlibs                    4.3.0.dfsg.1-13 X Keyboard Extension (XKB) configu
ii  xlibs-data               4.3.0.dfsg.1-13 X Window System client data

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#311490; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 311490@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 311490@bugs.debian.org
Subject: re: #311490 xterm: disable printing feature by default
Date: Sun, 13 Nov 2005 18:28:53 -0500
[Message part 1 (text/plain, inline)]
This is fixed in xterm patch #207.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed-upstream Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Martínez Moreno <ender@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 311490-done@bugs.debian.org (full text, mbox):

From: David Martínez Moreno <ender@debian.org>
To: dickey@his.com, Vincent Lefevre <vincent@vinc17.org>, 311490-done@bugs.debian.org
Subject: Re: Bug#311490: #311490 xterm: disable printing feature by default
Date: Sun, 8 Jan 2006 04:07:30 +0100
[Message part 1 (text/plain, inline)]
Version: 208-1

El lunes, 14 de noviembre de 2005 00:28, Thomas Dickey escribió:
> This is fixed in xterm patch #207.

	Thank you, Thomas. Closing bug, as #208 is in unstable.

	Best regards,


		Ender.
-- 
Network engineer
Debian Developer
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 02:11:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:10:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.